g.gui.dbmgr(1)

NAME
g.gui.dbmgr - Launches graphical attribute table manager.

KEYWORDS
general, GUI, attribute table, database

SYNOPSIS
g.gui.dbmgr
g.gui.dbmgr --help
g.gui.dbmgr map=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of vector map
    Or data source for direct OGR access

DESCRIPTION
The Attribute Table Manager is a wxGUI compoment to query, edit, and manage attribute data for vector maps. The attribute table manager can be launched by clicking on icon in the toolbar. It’s also available as a stand-alone module g.gui.dbmgr.

Attribute table manager allows you to:

    •   browse attribute data of vector map, perform SQL select statements;

    •   modify attribute data, insert new records to attribute table, delete existing records;

    •   highlight selected items in the Map Display Window;

    •   extract selected items into a new vector map;

    •   modify attribute table - add, drop, rename columns;

    •   modify vector map DB connection settings - add, remove or modify layers.
Figure: Simple attribute filtering using Attribute Table Manager.

  SQL Builder
Figure: Attribute filtering using Attribute Table Manager and SQL Builder.

SEE ALSO
wxGUI
wxGUI components

db.columns, db.connect, db.describe, db.drivers, db.execute, db.select, db.tables

v.db.addcolumn, v.db.connect, v.db.dropcolumn, v.db.renamecolumn, v.what

See also wiki page including video tutorials.

AUTHORS
Martin Landa, FBK-irst (2007-2008), Trento, Italy, and OSGeoREL at the Czech Technical University in Prague, Czech Republic
Michael Barton, Arizona State University, USA
Jachym Cepicky

SOURCE CODE

Available at: wxGUI Attribute Table Manager source code (history)

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual